# Class UnsupportedEncodingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.io.UnsupportedEncodingException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedEncodingException extends IOException
The Character Encoding is not supported.

Since:
  1.1
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedEncodingException()`
Constructs an UnsupportedEncodingException without a detail message.
`UnsupportedEncodingException(String s)`
Constructs an UnsupportedEncodingException with a detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedEncodingException

public UnsupportedEncodingException()
Constructs an UnsupportedEncodingException without a detail message.

### UnsupportedEncodingException

public UnsupportedEncodingException(String s)
Constructs an UnsupportedEncodingException with a detail message.

Parameters:
  `s` - Describes the reason for the exception.